package pmicrovenus;

import java.io.Serializable;
import javax.persistence.Entity;

@Entity
public class Servicio extends Casilla implements Serializable {
    
    static public String GRUPO = "SERVICIO";
    protected float precioCompra;
    private float renta;
   
    
    public Servicio() {
    }

    public Servicio(int id, String des, int px, int py) {
        super(id,des,px,py); 
    }
    
      public Servicio(int id, String des, int px, int py, float precioCompra,float renta) {
        super(id,des,px,py); 
        this.setPrecioCompra(precioCompra);
        this.setRenta(renta);
        super.setValorHipoteca(precioCompra * 0.7f);
       
    }
    
    @Override
      public float getPrecioCompra() {
        return precioCompra;
    }

    public void setPrecioCompra(float val) {
        this.precioCompra = val;
    }

    @Override
    public float getRenta() {
        return renta;  //n dados * 4 si 1 servicio || n dados * 10 si >1 servicio
    }

    public void setRenta(float val) {
        this.renta = val;
    }

    
    @Override
    public void accion(Tablero t) {
        System.out.println(t.getJugadorActual().getNombre() + " ha caido en la casilla numero " + super.getNum() + ", " + super.getDescripcion());

         if (super.getPropietario()==null){
           System.out.println("Comprar servicio " + super.getDescripcion() + " por " + getPrecioCompra() + " ?"); 
           //Mostrar Dialogo Adquirir Pdad.
           jdlgAdquirirPdad dlg = new jdlgAdquirirPdad(t,t.formulario,true);
           dlg.setLocationRelativeTo(t.formulario);
           dlg.setVisible(true);
        }else{
            if (t.getJugadorActual().tieneServicio(getDescripcion())){//si pertenece al jugador
                 
            }else{
                 if (this.isHipotecada()){
                    
                } else
                    t.getJugadorActual().pagarRentaA(getPropietario(),getRenta());
            }
        }
    }

}
